<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>App Layout</title>
    <style>
      * {
        margin: 0;
        padding: 0;
        box-sizing: border-box;
      }

      body {
        font-family: sans-serif;
        color: #343a40;
        font-size: 24px;
        height: 100vh;
        text-align: center;
        font-weight: bold;

        display: grid;
        grid-template-columns: 80px 400px 1fr 250px;
        grid-template-rows: 80px 1fr;
      }

      nav,
      section,
      main,
      aside {
        padding-top: 24px;
      }

      nav {
        background-color: #343a40;
        color: #fff;
        grid-row: 1 / -1;
      }

      menu {
        background-color: #7048e8;
        color: #fff;
        grid-column: 2 / -1;
        display: flex;
        align-items: center;
        gap: 12px;
        padding: 0 40px;
      }

      button:last-child {
        background-color: #d6336c;
        margin-left: auto;
      }

      button {
        display: inline-block;
        font-size: 16px;
        font-weight: bold;
        background-color: #5f3dc4;
        border: none;
        cursor: pointer;
        color: #fff;
        padding: 8px 12px;
      }

      section {
        background-color: #e9ecef;
        padding: 40px;

        overflow: scroll;

        display: flex;
        flex-direction: column;
        gap: 40px;
      }

      .email {
        background-color: #adb5bd;
        height: 96px;
        flex-shrink: 0;

        display: flex;
        align-items: center;
        justify-content: center;
      }

      aside {
        background-color: #e9ecef;
      }
    </style>
  </head>
  <body>
    <nav>NAV</nav>
    <menu>
      <button>New</button>
      <button>Reply</button>
      <button>Foward</button>
      <button>Mark unread</button>
      <button>Trash</button>
    </menu>
    <section>
      <div class="email">Email 1</div>
      <div class="email">Email 2</div>
      <div class="email">Email 3</div>
      <div class="email">Email 4</div>
      <div class="email">Email 5</div>
      <div class="email">Email 6</div>
      <div class="email">Email 7</div>
      <div class="email">Email 8</div>
      <div class="email">Email 9</div>
      <div class="email">Email 10</div>
    </section>
    <main>Email view</main>
    <aside>Additionla info</aside>
  </body>
</html>
